# Last updated for 0.22
%define gtk2_version 2.10.0
%define libwnck_version 2.10.0

### Abstract ###

Name: devhelp
Version: 2.28.1
Release: 3%{?dist}
License: GPLv2+
Group: Development/Tools
Summary: API documention browser
URL: http://developer.imendio.com/projects/devhelp
Source: http://download.gnome.org/sources/devhelp/2.28/devhelp-%{version}.tar.bz2
BuildRoot: %{_tmppath}/devhelp-%{version}-%{release}-root-%(%{__id_u} -n)

### Patches ###

Patch1: devhelp-2.28.1-missing-webkit-1.0.patch

### Dependencies ###

Requires(pre): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14
Requires(post): GConf2 >= 2.14

### Build Dependencies ###

BuildRequires: desktop-file-utils >= 0.3
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libwnck-devel >= %{libwnck_version}
BuildRequires: gtk2-devel
BuildRequires: WebKit-gtk-devel
BuildRequires: GConf2-devel
BuildRequires: unique-devel
BuildRequires: gnome-common
BuildRequires: autoconf automake libtool

%description
Devhelp is an API documentation browser for the GNOME desktop.
It works natively with API documentation generated by gtk-doc.

%package devel
Summary: Library to embed Devhelp in other applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libwnck-devel >= %{libwnck_version}
Requires: pkgconfig
Requires: WebKit-gtk-devel

%description devel
Devhelp is an API documentation browser for the GNOME desktop.
This package contains a library that can be used for embedding devhelp
into other applications such as IDEs.

%prep
%setup -q -n devhelp-%{version}
%patch1 -p1 -b .missing-webkit-1.0

# the configure script in the 2.28.0 tarball is bad
autoreconf -f -i

# force regeneration
rm data/devhelp.schemas

%build
%configure --disable-static
make %{?_smp_mflags} CFLAGS="$CFLAGS -fno-strict-aliasing"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} install 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome			\
  --delete-original					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  $RPM_BUILD_ROOT%{_datadir}/applications/devhelp.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'

rm $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

mkdir -p $RPM_BUILD_ROOT%{_datadir}/devhelp/books

%find_lang devhelp

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
fi

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/devhelp.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f devhelp.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README 

%{_bindir}/devhelp
%{_libdir}/libdevhelp*.so.*

%{_datadir}/applications/*.desktop
%{_datadir}/devhelp
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/icons/hicolor/16x16/apps/devhelp.png
%{_datadir}/icons/hicolor/22x22/apps/devhelp.png
%{_datadir}/icons/hicolor/24x24/apps/devhelp.png
%{_datadir}/icons/hicolor/32x32/apps/devhelp.png
%{_datadir}/icons/hicolor/48x48/apps/devhelp.png
%{_datadir}/icons/hicolor/scalable/apps/devhelp.svg

%{_libdir}/gedit-2/plugins/devhelp
%{_libdir}/gedit-2/plugins/devhelp.gedit-plugin

%files devel
%defattr(-,root,root)
%{_prefix}/include/devhelp-1.0
%{_libdir}/libdevhelp*.so
%{_libdir}/pkgconfig/*

%changelog
* Tue Jan 12 2010 Matthias Clasen <mclasen@redhat.com> - 2.28.1-3
- Fix BuildRequires

* Wed Dec 02 2009 Matthew Barnes <mbarnes@redhat.com> - 2.28.1-2
- Add patch for RH bug #543177 (missing webkit-1.0 requirement).

* Mon Oct 19 2009 Matthias Clasen <mclasen@redhat.com> - 2.28.1-1
- Update to 2.28.1

* Mon Sep 21 2009 Matthias Clasen <mclasen@redhat.com> - 2.28.0-1
- Update to 2.28.0

* Mon Sep  7 2009 Matthias Clasen <mclasen@redhat.com> - 2.27.92-1
- Update to 2.27.92

* Fri Aug 21 2009 Matthew Barnes <mbarnes@redhat.com> - 0.23.1-2
- Remove patch for GNOME bug #572022 to help fix RH bug #518481.

* Wed Aug 12 2009 Matthew Barnes <mbarnes@redhat.com> - 0.23.1-1
- Update to 0.23.1
- Remove patch for GNOME bug #588655 (fixed upstream).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Matthew Barnes <mbarnes@redhat.com> - 0.23-8
- Add patch for GNOME bug #588655 (work around GLib deprecations).

* Thu Jul  2 2009 Matthias Clasen <mclasen@redhat.com> - 0.23-7
- Shrink GConf schemas

* Sun Mar 08 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.23-6
Bumped to consume new soname in webkit library.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Matthew Barnes <mbarnes@redhat.com> - 0.23-4
- Disable strict-aliasing checks due to what looks like GLib breakage.

* Mon Feb 16 2009 - Bastien Nocera <bnocera@redhat.com> - 0.23-3
- Fix displaying web pages, WebKit doesn't like local filenames as URIs
- Add missing Gconf2-devel BR

* Fri Jan 23 2009 Matthias Clasen  <mclasen@redhat.com> - 0.23-2
- Cosmetic spec fixes

* Mon Jan 19 2009 Matthew Barnes <mbarnes@redhat.com> - 0.23-1
- Update to 0.23

* Fri Dec 05 2008 Matthew Barnes <mbarnes@redhat.com> - 0.22-2
- Drop the gecko requirement, since it uses WebKit now.

* Mon Dec 01 2008 Matthew Barnes <mbarnes@redhat.com> - 0.22-1
- Update to 0.22
- Add BR: WebKit-gtk-devel

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.21-4
- Rebuild for Python 2.6

* Fri Nov 21 2008 Matthias Clasen <mclasen@redhat.com> - 0.21-3
- Tweak description

* Wed Sep 24 2008 Matthias Clasen <mclasen@redhat.com> - 0.21-2
- Rebuild against newer gecko

* Mon Sep 22 2008 Matthias Clasen <mclasen@redhat.com> - 0.21-1
- Update to 0.21

* Mon Sep  8 2008 Matthias Clasen <mclasen@redhat.com> - 0.20-1
- Update to 0.20

* Wed Jul 23 2008 Christopher Aillon <caillon@redhat.com> - 0.19.1-3
- Rebuild against newer gecko

* Mon Jul 07 2008 Matthew Barnes <mbarnes@redhat.com> - 0.19.1-2
- Rebuild, just to keep up with F9 package.

* Mon May 26 2008 Matthew Barnes <mbarnes@redhat.com> - 0.19.1-1
- Update to 0.19.1

* Sun May  4 2008 Matthias Clasen <mclasen@redhat.com> - 0.19-5
- Fix source url

* Tue Feb 26 2008 Martin Stransky <stransky@redhat.com> - 0.19-4
- Rebuild against xulrunner

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.19-3
- Autorebuild for GCC 4.3

* Sun Feb 17 2008 Matthew Barnes <mbarnes@redhat.com> - 0.19-2.fc9
- Rebuild with GCC 4.3

* Thu Feb 07 2008 Matthew Barnes <mbarnes@redhat.com> - 0.19-1.fc9
- Update to 0.19

* Wed Jan 30 2008 Matthias Clasen <mclasen@redhat.com> - 0.18-1
- Update to 0.18

* Wed Jan 16 2008 Matthew Barnes <mbarnes@redhat.com> - 0.17-2.fc9
- Update version requirements based on configure.in.

* Mon Jan 07 2008 Matthew Barnes <mbarnes@redhat.com> - 0.17-1.fc9
- Update to 0.17
- Remove patch for GNOME bug #499050 (fixed upstream).

* Mon Dec 31 2007 Jeremy Katz <katzj@redhat.com> - 0.16.1-5
- Rebuild against newer xulrunner

* Thu Nov 22 2007 Martin Stransky <stransky@redhat.com> - 0.16.1-4.fc9
- Rebuild against xulrunner

* Fri Nov 09 2007 Matthew Barnes <mbarnes@redhat.com> - 0.16.1-3.fc9
- Rebuild against gecko-libs 1.8.1.9.

* Thu Nov 01 2007 Matthew Barnes <mbarnes@redhat.com> - 0.16.1-2.fc9
- Rebuild against gecko-libs 1.8.1.8.

* Sat Oct 06 2007 Matthew Barnes <mbarnes@redhat.com> - 0.16.1-1.fc8
- Update to 0.16.1

* Tue Sep 11 2007 Matthew Barnes <mbarnes@redhat.com> - 0.16-1.fc8
- Update to 0.16

* Wed Aug  8 2007 Christopher Aillon <caillon@redhat.com> - 0.15-4
- Rebuild against newer gecko

* Mon Aug  6 2007 Matthias Clasen <mclasen@redhat.com> - 0.15-3
- Update license field

* Fri Jul 20 2007 Kai Engert <kengert@redhat.com> - 0.15-2.fc8
- Rebuild against newer gecko

* Mon Jun 18 2007 Matthew Barnes <mbarnes@redhat.com> - 0.15-1.fc8
- Update to 0.15

* Tue Jun 05 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-4
- Rebuild again

* Mon Jun 04 2007 - Bastien Nocera <bnocera@redhat.com> - 0.14-3
- Rebuild against new libwnck

* Fri May 25 2007 Christopher Aillon <caillon@redhat.com> - 0.14-2
- Rebuild against newer gecko

* Fri May 18 2007 Matthew Barnes <mbarnes@redhat.com> - 0.14-1.fc8
- Update to 0.14
- Remove patch for RH bug #230837 (fixed upstream).

* Mon Apr 23 2007 Matthew Barnes <mbarnes@redhat.com> - 0.13-7.fc7
- Add patch for RH bug #230837 (initialize GThread).

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> - 0.13-6
- Don't install INSTALL

* Fri Mar 23 2007 Christopher Aillon <caillon@redhat.com> - 0.13-5
- Rebuild against newer gecko

* Wed Feb 28 2007 Matthew Barnes <mbarnes@redhat.com> - 0.13-4
- Rebuild against newer gecko.

* Mon Feb  5 2007 Matthias Clasen <mclasen@redhat.com> - 0.13-3
- Fix scriptlet errors

* Sun Feb 04 2007 Matthew Barnes <mbarnes@redhat.com> - 0.13-2.fc7
- Incorporate suggestions from package review.

* Sat Feb 03 2007 Matthew Barnes <mbarnes@redhat.com> - 0.13-1.fc7
- Update to 0.13
- Clean up the spec file.
- Remove devhelp-0.12-transparent.patch (fixed upstream).

* Thu Dec 21 2006 Christopher Aillon <caillon@redhat.com> 0.12-10
- Rebuild against newer gecko

* Sat Nov 25 2006 Matthias Clasen <mclasen@redhat.com> - 0.12-9
- Own the /usr/share/devhelp/books directory

* Fri Oct 27 2006 Christopher Aillon <caillon@redhat.com> - 0.12-8
- Rebuild against newer gecko

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 0.12-7
- Fix scripts according to the packaging guidelines
- Require pkgconfig in the -devel package

* Thu Oct 12 2006 Christopher Aillon <caillon@redhat.com> - 0.12-6.fc6
- Update requires to the virtual gecko version instead of a specific app

* Thu Sep 14 2006 Christopher Aillon <caillon@redhat.com> - 0.12-5.fc6
- Rebuild

* Mon Aug 14 2006 Matthias Clasen <mclasen@redhat.com> - 0.12-4.fc6
- Fix transparent headers

* Mon Aug 14 2006 Matthew Barnes <mbarnes@redhat.com> - 0.12-3
- Add missing Requires to devel package.

* Thu Aug 10 2006 Matthew Barnes <mbarnes@redhat.com> - 0.12-2
- Rebuild against firefox, again.

* Sat Jul 29 2006 Matthias Clasen <mclasen@redhat.com> - 0.12-1
- Update to 0.12
- Rebuild against firefox

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.11-4
- rebuild
- bump mozver

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 0.11-2
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.11-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Dec 18 2005 Ray Strode <rstrode@redhat.com> - 0.11-1
- Update to 0.11

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Oct 18 2005 Christopher Aillon <caillon@redhat.com> - 0.10-6
- Build on ppc64

* Wed Aug 17 2005 Jeremy Katz <katzj@redhat.com> - 0.10-5
- fix the build

* Wed Aug 17 2005 Ray Strode <rstrode@redhat.com> 0.10.0-4
- rebuild

* Sun Jul 31 2005 Christopher Aillon <caillon@redhat.com> 0.10.0-3
- Rebuild against new mozilla

* Tue Jul 19 2005 Christopher Aillon <caillon@redhat.com> 0.10.0-2
- Rebuild against new mozilla
- Add builds for ia64 s390 s390x

* Thu May 19 2005 Ray Strode <rstrode@redhat.com> 0.10.0-1
- Update to 0.10.0 (bug #157753) 

* Fri May 13 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-7
- Depend on mozilla 1.7.8

* Sat Apr 16 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-6
- Depend on mozilla 1.7.7

* Thu Apr 14 2005 Ray Strode <rstrode@redhat.com> 0.9.3-5
- Don't crash on typeahead (bug #154398)

* Wed Mar  9 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-4
- Depend on mozilla 1.7.6

* Sat Mar  5 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-3
- Rebuild against GCC 4.0

* Sun Dec 19 2004 Christopher Aillon <caillon@redhat.com> 0.9.3-2
- Require mozilla 1.7.5

* Sun Dec 19 2004 Christopher Aillon <caillon@redhat.com> 0.9.3-1
- Update to 0.9.3

* Mon Oct 11 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-2
- Rebuild to add ppc once again.

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-1
- Update to 0.9.2
- Remove accel patch; its upstreamed now.

* Sun Sep 26 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-6
- Rebuild without explicit mozilla release

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-5
- Rebuild with explicit Mozilla version requires

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-4
- Rebuilt to pick up new mozilla changes
- Drop ppc from the build since mozilla doesn't build there anymore.

* Wed Aug 25 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-3
- Add Johan Svedberg's patch to add accelerators for back and forward 

* Mon Aug 09 2004 Christopher Aillon <caillon@redhat.com>
- Rebuild

* Wed Aug 04 2004 Christopher Aillon <caillon@redhat.com>
- Update to 0.9.1
- Remove ld-library patch. It is upstream now.

* Wed Jun 23 2004 Christopher Aillon <caillon@redhat.com>
- Update ExclusiveArch

* Tue Jun 22 2004 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 21 2004 Colin Walters <walters@redhat.com> 0.9-3
- Update patch to avoid (unlikely) security issue noticed
  by Jeremy Katz.

* Mon Apr 15 2004 Colin Walters <walters@redhat.com> 0.9-2
- Apply patch from George Karabin <gkarabin@pobox.com> to
  export LD_LIBRARY_PATH (closes bug 120220).

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.9-1
- Update to 0.9
- Install the schemas correctly
- Package /usr/bin/devhelp-bin
- Update requires/buildrequires
- Only build on platforms where mozilla is available

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.8.1-1
- update to 0.8.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec  1 2003 Jonathan Blandford <jrb@redhat.com> 0.7.0-1
- new version
- Remove .la and .a files.

* Wed Jul 30 2003 Jonathan Blandford <jrb@redhat.com>
- remove original devhelp desktop file.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add find_lang
